import { ElementRef, TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * The ToggleLabel directive allows you to customize the label for the "On" and "Off" states,
 * allowing for more robust and complex displays.
 * This directive must be used in conjunction with a ng-template.
 */
export declare class NgToggleLabelDirective {
    templateRef: TemplateRef<any>;
    private elRef;
    /**
     * Determines which state the label will be used.
     */
    forLabel: 'on' | 'off';
    constructor(templateRef: TemplateRef<any>, elRef: ElementRef);
    get element(): ElementRef;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgToggleLabelDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgToggleLabelDirective, "ng-template[ngToggleLabel]", never, { "forLabel": "forLabel"; }, {}, never>;
}
